FishOutFishOut

Save a manual reply draft

POST/orgs/{organizationId}/projects/{projectId}/mentions/{mentionId}/drafts

Save a manual reply draft within the selected project. Uses the app's permissions and entitlements.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
mentionId*string
Length1 <= length <= 200

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orgs/string/projects/string/mentions/string/drafts" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "data": {    "id": "string",    "mentionId": "string",    "body": "string",    "tone": "helpful",    "generatedBy": "string",    "status": "draft",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}